<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2008 Marc Hoersken <info@marc-hoersken.de>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

/**
 * Class/Function which manipulates the item-array for table/field tt_content_tx_mhcodehighlighter_geshi_lang.
 *
 * @author	Marc Hoersken <info@marc-hoersken.de>
 * @package	TYPO3
 * @subpackage	tx_mhcodehighlighter
 */
class tx_mhcodehighlighter_tt_content_tx_mhcodehighlighter_geshi_lang {
	function main(&$params,&$pObj)	{
		global $TYPO3_DB;
		
		$res = $TYPO3_DB->exec_SELECTquery('uid,geshi_lang,geshi_file','tx_mhcodehighlighter_languages','','','geshi_lang');
		$num = $TYPO3_DB->sql_num_rows($res);
		if ($num > 0) {
			while($row = $TYPO3_DB->sql_fetch_assoc($res)) {
				$params['items'][] = array($row['geshi_lang'].' ('.$row['geshi_file'].')', $row['geshi_file']);
			}
		}
	}

	function user_TCAform_geshi_data($PA, $fobj)	{
		$arrayBrowser = t3lib_div::makeInstance('t3lib_arrayBrowser');
		$arrayBrowser->varName = '$LANGUAGE_DATA';
		$arrayBrowser->dontLinkVar = true;
		$arrayBrowser->expAll = true;
		if (version_compare(PHP_VERSION, '7.0.0') >= 0) {
			$language_data = unserialize($PA['itemFormElValue'], array('allowed_classes' => false));
		} else {
			$language_data = unserialize($PA['itemFormElValue']);
		}
		$tree = $arrayBrowser->tree($language_data, '', '');
		$tree = str_replace('minus.gif', 'join.gif', $tree);
		return $tree;
	}
}

if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/mh_code_highlighter/class.tx_mhcodehighlighter_tt_content_tx_mhcodehighlighter_geshi_lang.php'])	{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/mh_code_highlighter/class.tx_mhcodehighlighter_tt_content_tx_mhcodehighlighter_geshi_lang.php']);
}

?>