<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$TCA["tx_mhcodehighlighter_languages"] = array (
	"ctrl" => array (
		'title'     => 'LLL:EXT:mh_code_highlighter/locallang_db.xml:tx_mhcodehighlighter_languages',
		'label'     => 'geshi_lang',
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'default_sortby' => "ORDER BY geshi_lang",
		'iconfile'   => t3lib_extMgm::extRelPath($_EXTKEY).'icon_tx_mhcodehighlighter_languages.gif',
		'readOnly'  => 1,
		'hideTable' => 1,
	),
	"interface" => array (
		"showRecordFieldList" => "geshi_lang, geshi_file"
	),
	"feInterface" => array (
		"fe_admin_fieldList" => "geshi_lang, geshi_file",
	),
	"columns" => array (
		"geshi_lang" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:mh_code_highlighter/locallang_db.xml:tx_mhcodehighlighter_languages.geshi_lang",
			"config" => Array (
				"type" => "none",
			)
		),
		"geshi_file" => Array (
			"exclude" => 1,
			"label" => "LLL:EXT:mh_code_highlighter/locallang_db.xml:tx_mhcodehighlighter_languages.geshi_file",
			"config" => Array (
				"type" => "none",
			)
		),
	),
	"types" => array (
		"0" => array("showitem" => "geshi_lang;;;;1-1-1, geshi_file")
	),
	"palettes" => array (
		"1" => array("showitem" => "")
	)
);

if (TYPO3_MODE == 'BE')	{
	$TBE_MODULES_EXT["xMOD_db_new_content_el"]["addElClasses"]["tx_mhcodehighlighter_pi1_wizicon"] = t3lib_extMgm::extPath($_EXTKEY).'pi1/class.tx_mhcodehighlighter_pi1_wizicon.php';
	t3lib_extMgm::addModule('tools','txmhcodehighlighter','',t3lib_extMgm::extPath($_EXTKEY).'mod1/');

	include_once(t3lib_extMgm::extPath("mh_code_highlighter")."class.tx_mhcodehighlighter_tt_content_tx_mhcodehighlighter_geshi_lang.php");
}

$tempColumns = Array (
	"tx_mhcodehighlighter_geshi_code" => Array (
		"exclude" => 0,
		"label" => "LLL:EXT:mh_code_highlighter/locallang_db.xml:tt_content.tx_mhcodehighlighter_geshi_code",
		"config" => Array (
			"type" => "text",
			"cols" => "48",
			"rows" => "20",
		)
	),
	"tx_mhcodehighlighter_geshi_lang" => Array (
		"exclude" => 0,
		"label" => "LLL:EXT:mh_code_highlighter/locallang_db.xml:tt_content.tx_mhcodehighlighter_geshi_lang",
		"config" => Array (
			"type" => "select",
			"items" => Array (
				Array("LLL:EXT:mh_code_highlighter/locallang_db.xml:tt_content.tx_mhcodehighlighter_geshi_lang.normal", "0"),
			),
			"itemsProcFunc" => "tx_mhcodehighlighter_tt_content_tx_mhcodehighlighter_geshi_lang->main",
			"size" => 1,
		)
	),
	"tx_mhcodehighlighter_geshi_selectall" => Array (
		"exclude" => 0,
		"label" => "LLL:EXT:mh_code_highlighter/locallang_db.xml:tt_content.tx_mhcodehighlighter_geshi_selectall",
		"config" => Array (
			"type" => "check",
			"default" => 1,
		)
	),
	"tx_mhcodehighlighter_geshi_linenumbering" => Array (
		"exclude" => 0,
		"label" => "LLL:EXT:mh_code_highlighter/locallang_db.xml:tt_content.tx_mhcodehighlighter_geshi_linenumbering",
		"config" => Array (
			"type" => "check",
			"default" => 1,
		)
	),
	"tx_mhcodehighlighter_geshi_tabwidth" => Array (
		"exclude" => 0,
		"label" => "LLL:EXT:mh_code_highlighter/locallang_db.xml:tt_content.tx_mhcodehighlighter_geshi_tabwidth",
		"config" => Array (
			"type" => "input",
			"size" => "2",
			"max" => "2",
			"eval" => "int",
			"checkbox" => "0",
			"range" => Array (
				"upper" => "12",
				"lower" => "1"
			),
			"default" => 4,
		)
	),
);

t3lib_div::loadTCA("tt_content");
t3lib_extMgm::addTCAcolumns("tt_content",$tempColumns,1);

$TCA['tt_content']['types']['list']['subtypes_excludelist'][$_EXTKEY.'_pi1']='layout,select_key';
$TCA['tt_content']['types']['list']['subtypes_addlist'][$_EXTKEY.'_pi1']='tx_mhcodehighlighter_geshi_code;;;;1-1-1, tx_mhcodehighlighter_geshi_lang, tx_mhcodehighlighter_geshi_selectall, tx_mhcodehighlighter_geshi_linenumbering, tx_mhcodehighlighter_geshi_tabwidth';

t3lib_extMgm::addPlugin(array('LLL:EXT:mh_code_highlighter/locallang_db.xml:tt_content.list_type_pi1', $_EXTKEY.'_pi1'),'list_type');

?>
